Subject: Re: bug#61413: [PATCH] Make warnings show a "warning" emoji instead of a stop-sign

From: Konstantin Kharlamov <[email-masked]>
Date: Mon, 10 Mar 2025 12:02:01 +0300

On Sat, 2025-03-08 at 18:05 +0100, Kévin Le Gouguec wrote:
> Eli Zaretskii <[email-masked]> writes:
> 
> > > > If you want me to install some patches, please post them.
> > > 
> > > Thanks for the nudge; re-attaching the patch that makes button.el
> > > preserve help-echo strings; reviewed by Mauro in two parts¹²,
> > > then
> > > squashed³.  I can install it if we think that fix is
> > > unambiguously good.
> > 
> > LGTM, thanks.
> 
> Just pushed, thanks for the review.
> 
> I'll defer to other participants regarding what should be done next -
> e.g. (a) should ⛔ be given a second chance now that it has a help-
> echo
> string, making its function more discoverable; (b) should we use
> another
> symbol; (c) should we eschew images entirely for that function & use
> a
> text button.

Sorry for stupid question, but… I just wanted to see how do warnings
look now, and I figured I don't know how to produce the buffer being
discussed 😅 I certainly remember seeing warnings during async
compilation. However, now that I'm looking at *Async-native-compile-
log* the lines have no emojis. I also tried M-x byte-compile some file
with warnings and got *Compile-log* buffer, but it doesn't have them
either. Was it some other "compilation" buffer…?